> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve liabilities

> The endpoint returns liability accounts including credit cards and loans with detailed balance and payment information.



## OpenAPI

````yaml GET /v1/links/{link_id}/liabilities/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/links/{link_id}/liabilities/:
    get:
      tags:
        - Liabilities
      summary: Retrieve liabilities
      description: >-
        The endpoint returns liability accounts including credit cards and loans
        with detailed balance and payment information.
      operationId: link_liabilities
      parameters:
        - name: link_id
          in: path
          description: Link ID
          required: true
          schema:
            type: string
          example: 24d7e80942ce4ad58a93f70ce4115f5c
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LiabilitiesResponse'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
        '404':
          description: HTTP 404 Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error404'
components:
  schemas:
    LiabilitiesResponse:
      type: object
      properties:
        accounts:
          description: List of liability accounts
          type: array
          items:
            $ref: '#/components/schemas/LiabilityAccount'
        liabilities:
          $ref: '#/components/schemas/Liabilities'
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    Error404:
      description: ''
      type: object
      properties:
        detail:
          description: ''
          type: string
          example: Not Found.
    LiabilityAccount:
      required:
        - type
        - subtype
        - mask
        - balances
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          readOnly: true
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        created_at:
          description: Timestamp when the account was created in Truv
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T11:30:00Z'
        updated_at:
          description: Timestamp when the account was updated last time in Truv
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T12:00:00Z'
        type:
          description: The account's type
          type: string
          enum:
            - LOAN
            - CREDIT_CARD
            - LINE_OF_CREDIT
            - MORTGAGE
            - CHECKING_LINE_OF_CREDIT
          readOnly: true
          example: CREDIT_CARD
        subtype:
          description: The account's subtype
          type: string
          enum:
            - BROKERAGE
            - STUDENT
            - AUTO
            - PERSONAL
            - PERSONAL_WITH_COLLATERAL
            - HELOC
            - HOME_EQUITY
            - RV
            - SMALL_BUSINESS
          readOnly: true
          example: AUTO
          nullable: true
        mask:
          description: Last 4 digits of account number
          type: string
          readOnly: true
          example: '6789'
          nullable: true
        nickname:
          description: Description of account
          type: string
          readOnly: true
          example: My account
          nullable: true
        balances:
          $ref: '#/components/schemas/AccountBalances'
    Liabilities:
      type: object
      properties:
        credit:
          description: List of credit cards and lines of credit liabilities
          type: array
          items:
            $ref: '#/components/schemas/CreditLiability'
        loans:
          description: List of loan liabilities
          type: array
          items:
            $ref: '#/components/schemas/LoanLiability'
    AccountBalances:
      type: object
      properties:
        currency_code:
          description: Currency
          type: string
          readOnly: true
          example: USD
        balance:
          description: Balance amount
          type: string
          format: decimal
          readOnly: true
          example: '100.00'
          nullable: true
        available_balance:
          description: Available balance amount
          type: string
          format: decimal
          readOnly: true
          example: '50.99'
          nullable: true
        credit_limit:
          description: Credit limit
          type: string
          format: decimal
          readOnly: true
          example: '200.00'
          nullable: true
    CreditLiability:
      required:
        - account_id
      type: object
      properties:
        account_id:
          description: Unique account identifier
          type: string
          example: 68a7e80942ce4ad58a93f70ce411549a
        advances_apr:
          description: Annual Percentage Rate for cash advances
          type: string
          format: decimal
          nullable: true
          example: '29.24'
        purchases_apr:
          description: Annual Percentage Rate for purchases
          type: string
          format: decimal
          nullable: true
          example: '23.49'
        available_cash:
          description: Available cash advance amount
          type: string
          format: decimal
          nullable: true
          example: '92.00'
        available_credit:
          description: Available credit amount
          type: string
          format: decimal
          nullable: true
          example: '92.00'
        balance_as_of:
          description: Date and time when the balance was last updated
          type: string
          format: date-time
          nullable: true
          example: '2025-08-18T01:01:11Z'
        credit_line:
          description: Total credit line amount
          type: string
          format: decimal
          nullable: true
          example: '2500.00'
        current_balance:
          description: Current outstanding balance
          type: string
          format: decimal
          nullable: true
          example: '2407.16'
        last_payment_amount:
          description: Amount of the last payment made
          type: string
          format: decimal
          nullable: true
          example: '300.00'
        last_payment_date:
          description: Date of the last payment
          type: string
          format: date
          nullable: true
          example: '2025-08-13'
        last_stmt_balance:
          description: Balance from the last statement
          type: string
          format: decimal
          nullable: true
          example: '1591.40'
        last_stmt_date:
          description: Date of the last statement
          type: string
          format: date
          nullable: true
          example: '2025-08-01'
        minimum_payment_amount:
          description: Minimum payment amount due
          type: string
          format: decimal
          nullable: true
          example: '0.00'
        next_payment_amount:
          description: Next payment amount due
          type: string
          format: decimal
          nullable: true
          example: '0.00'
        next_payment_date:
          description: Next payment due date
          type: string
          format: date
          nullable: true
          example: '2025-08-23'
        past_due_amount:
          description: Amount that is past due
          type: string
          format: decimal
          nullable: true
          example: '0.00'
    LoanLiability:
      required:
        - account_id
      type: object
      properties:
        account_id:
          description: Unique account identifier
          type: string
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        balance_as_of:
          description: Date and time when the balance was last updated
          type: string
          format: date-time
          nullable: true
          example: '2025-08-18T01:01:11Z'
        escrow_balance:
          description: Current escrow balance (for mortgages)
          type: string
          format: decimal
          nullable: true
          example: '4611.98'
        interest_paid_year_to_date:
          description: Total interest paid year to date
          type: string
          format: decimal
          nullable: true
          example: '2535.26'
        interest_rate:
          description: Current interest rate as a percentage
          type: string
          format: decimal
          nullable: true
          example: '15.69'
        interest_rate_as_of:
          description: Date when the interest rate was last updated
          type: string
          format: date-time
          nullable: true
          example: '2025-08-18T01:01:11Z'
        last_payment_amount:
          description: Amount of the last payment made
          type: string
          format: decimal
          nullable: true
          example: '850.44'
        last_payment_date:
          description: Date of the last payment
          type: string
          format: date-time
          nullable: true
          example: '2025-08-16T05:49:04Z'
        loan_term:
          description: Total loan term in months
          type: string
          nullable: true
          example: '60'
        maturity_date:
          description: Date when the loan matures
          type: string
          format: date-time
          nullable: true
          example: '2028-10-17T04:00:00Z'
        next_payment_amount:
          description: Next payment amount due
          type: string
          format: decimal
          nullable: true
          example: '850.44'
        next_payment_date:
          description: Next payment due date
          type: string
          format: date-time
          nullable: true
          example: '2025-08-17T04:00:00Z'
        original_principal:
          description: Original principal amount of the loan
          type: string
          format: decimal
          nullable: true
          example: '35000.00'
        principal_balance:
          description: Current principal balance remaining
          type: string
          format: decimal
          nullable: true
          example: '25843.58'
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````